[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumns.HasIndex

True if the specified index value is valid for the collection.

## Declaration

Source position: grids.pas line 667

`public function TGridColumns.HasIndex(`
`Index: Integer`
`):Boolean;`

## Arguments

`Index` |  | Index value examined in the method.

## Function result

True when the value is in the range allowed for the collection.

## Description

HasIndex ensures that the value in Index is valid for the collection. The return value is True when Index is in the range 0..Count-1.

## See also

TGridColumns.Items |  | Provides indexed access to column definitions in the collection.
TCollection.Count